print("Register filltypes: LWG Europe Production and Storage");

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceLongwood = g_fillTypeManager:getFillTypeByName("WOODCHIPS").pricePerLiter
	local priceSplitwood = g_fillTypeManager:getFillTypeByName("WOODCHIPS").pricePerLiter
	
	if node ~= 0 then
	
	local longwoodHudFile = "hud/hud_fill_longwood.dds"
	local longwoodHudFileSmall = "hud/hud_fill_longwood_sml.dds"
	local splitwoodHudFile = "hud/hud_fill_splitwood.png"
    local splitwoodHudFileSmall = "hud/hud_fill_splitwood_sml.png"

	local longwoodFilType = g_fillTypeManager:addFillType("LONGWOOD", g_i18n:getText("longwood"), true, priceLongwood * 10.0, 0.00045, math.rad(40), longwoodHudFile, longwoodHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	local splitwoodFilType = g_fillTypeManager:addFillType("SPLITWOOD", g_i18n:getText("splitwood"), true, priceSplitwood * 10.0, 0.00045, math.rad(40), splitwoodHudFile, splitwoodHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)

	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local haswoodChips =false
	local haslongwood=false	
	local hassplitwood=false
	
	local object=id
	if object == nil then
	else
	haswoodChips =false
	haslongwood=false
	hassplitwood=false
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "WOODCHIPS" then
		haswoodChips=true
	end;
		if fillname == "LONGWOOD" then
		haslongwood=true
	end;
		if fillname == "SPLITWOOD" then
		hassplitwood=true
	end;
end;

		if haswoodChips and not haslongwood then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("LONGWOOD")
		local price = g_fillTypeManager:getFillTypeByName("LONGWOOD").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("LONGWOOD")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WOODCHIPS")]
			object:initPricingDynamics()
		end;
		if haswoodChips and not hassplitwood then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("SPLITWOOD")
		local price = g_fillTypeManager:getFillTypeByName("SPLITWOOD").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("SPLITWOOD")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WOODCHIPS")]
			object:initPricingDynamics()
		end;
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)